# SoloGM Coding Conventions

This document outlines the coding conventions for the SoloGM project. Follow these guidelines to ensure consistency across the codebase.

## Sections

- [Architecture](architecture.md) - CLI and Manager layer design
- [CLI Conventions](cli.md) - Command-line interface design patterns
- [Database Access](database_access.md) - Database patterns and transaction management
- [Models](models.md) - Model design and relationships
- [Error Handling](error_handling.md) - Exception handling patterns
- [Testing](testing.md) - Testing strategies
- [Documentation](documentation.md) - Docstrings and logging
- [Type Annotations](type_annotations.md) - Type annotation guidelines
- [Display Design](display.md) - UI and display-related guidelines
